%define rname pgf
%define rel 3
%define release %mkrel %rel

Summary: 		TeX Portable Graphic Format 
Name: 			latex-%rname
Version: 		0.62
Release: 		%release
Epoch:			0
URL:			http://latex-beamer.sourceforge.net/
Source:	 		http://download.sourceforge.net/latex-beamer/%rname-%version.tar.bz2
License: 		GPL
Group: 			Publishing
Requires:		latex-xcolor >= 0:2.00
Requires: 		tetex-latex
BuildRequires:		ghostscript
BuildRequires:		latex-xcolor >= 0:2.00
BuildRequires:		tetex-latex
BuildArch:		noarch
BuildRoot:              %_tmppath/%name-buildroot

%description
pgf stands for `portable graphics format'. It is a TeX macro package
that allows you to create graphics in your TeX documents using a special
pgfpicture environment and special macros for drawing lines, curves,
rectangles, and many other kind of graphic objects. Its usage closely
resembles the pstricks package or the normal picture environment of
LaTeX.

Although pgf is less powerful than \pstricks, it has the advantage that
it can generate both PostScript output and pdf output from the same
file. The pgf package works together both with dvips and pdftex. In
particular, packages that rely on pdftex or pdflatex (like some packages
for creating presentations) can be used together with pgf.

%prep
%setup -q -n %rname
%__rm -f %{rname}userguide.pdf

%build
latex %{rname}userguide.tex
latex %{rname}userguide.tex
pdflatex %{rname}userguide.tex

%install
%__mkdir_p %buildroot%_datadir/texmf/tex/latex/%rname
%__install -m 644 *.sty %buildroot%_datadir/texmf/tex/latex/%rname


# Fix conflict 
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/xxcolor.sty
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/pgfshade.sty
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/pgfnodes.sty
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/pgfautomata.sty
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/pgfarrows.sty
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/pgfarrows.sty
rm -f %{buildroot}/%{_datadir}/texmf/tex/latex/pgf/pgf.sty

%clean
%__rm -rf %buildroot

%post
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null

%postun
[ -x /usr/bin/texhash ] && /usr/bin/env - /usr/bin/texhash 2> /dev/null

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog FILES INSTALL README
%doc %{rname}userguide.pdf *.eps *.jpg *.tex
%dir %_datadir/texmf/tex/latex/%rname
%_datadir/texmf/tex/latex/%rname/*.sty

%changelog
* Wed Apr 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0:0.62-3mdk
- one file was still there

* Wed Apr 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0:0.62-2mdk
- remove files which conflicts with tetex-latex

* Fri Sep 03 2004 David Walluck <walluck@mandrake.org> 0:0.62-1mdk
- 0.62

* Fri Apr 23 2004 David Walluck <walluck@mandrake.org> 0:0.61-1mdk
- release
